The optparse-generic package

[Tags:bsd3, library]

This library auto-generates an optparse-applicative-compatible Parser from any data type that derives the Generic interface.

See the documentation in Options.Generic for an example of how to use this library

Properties

Versions 1.0.0, 1.0.1, 1.1.0, 1.1.1, 1.1.2, 1.1.3, 1.1.4 (info)
Dependencies base (>=4.6 && <5), bytestring (<0.11), optparse-applicative (>=0.11.0 && <0.14), semigroups (>=0.5.0 && <0.19), singletons (>=0.10.0 && <1.0), system-filepath (>=0.3.1 && <0.5), tagged (>=0.8.3 && <0.9), text (<1.3), th-desugar (<1.5.1), time (>=1.5 && <1.7), transformers (>=0.2.0.0 && <0.6), void (<0.8) [details]
License BSD3
Copyright 2016 Gabriel Gonzalez
Author Gabriel Gonzalez
Maintainer Gabriel439@gmail.com
Stability Unknown
Category System
Bug tracker https://github.com/Gabriel439/Haskell-Optparse-Generic-Library/issues
Source repository head: git clone https://github.com/Gabriel439/Haskell-Optparse-Generic-Library
Uploaded Tue Dec 20 06:26:53 UTC 2016 by GabrielGonzalez
Distributions LTSHaskell:1.1.4, NixOS:1.1.4, Stackage:1.1.4, Tumbleweed:1.1.4
Downloads 341 total (90 in the last 30 days)
Votes
3 []
Status Docs available [build log]
Last success reported on 2016-12-20 [all 1 reports]

Modules

[Index]

Downloads

Maintainer's Corner

For package maintainers and hackage trustees